org.kie.internal.runtime.error

## Class ExecutionErrorContext

- java.lang.Object
- - org.kie.internal.runtime.error.ExecutionErrorContext

-     public class ExecutionErrorContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionErrorContext(Throwable cause, org.kie.api.runtime.process.NodeInstance lastExecutedNode, org.kie.api.task.model.Task lastExecutedTask, org.kie.api.runtime.process.NodeInstance firstExecutedNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()`
    `org.kie.api.runtime.process.NodeInstance` | `getFirstExecutedNode()`
    `org.kie.api.runtime.process.NodeInstance` | `getLastExecutedNode()`
    `org.kie.api.task.model.Task` | `getLastExecutedTask()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionErrorContext

          public ExecutionErrorContext(Throwable cause,
                                       org.kie.api.runtime.process.NodeInstance lastExecutedNode,
                                       org.kie.api.task.model.Task lastExecutedTask,
                                       org.kie.api.runtime.process.NodeInstance firstExecutedNode)

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

    - #### getLastExecutedNode

          public org.kie.api.runtime.process.NodeInstance getLastExecutedNode()

    - #### getLastExecutedTask

          public org.kie.api.task.model.Task getLastExecutedTask()

    - #### getFirstExecutedNode

          public org.kie.api.runtime.process.NodeInstance getFirstExecutedNode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.